org.eclipse.oomph.p2

## Enum VersionSegment

- java.lang.Object
- - java.lang.Enum<VersionSegment>
  - - org.eclipse.oomph.p2.VersionSegment

- All Implemented Interfaces:
    Serializable, Comparable<VersionSegment>, Enumerator

      public enum VersionSegment
      extends Enum<VersionSegment>
      implements Enumerator

  A representation of the literals of the enumeration 'Version Segment', and utility methods for working with them.
  See Also:
    `P2Package.getVersionSegment()`
  Generated
  Model

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAJOR` The 'Major' literal object.
    `MICRO` The 'Micro' literal object.
    `MINOR` The 'Minor' literal object.
    `QUALIFIER` The 'Qualifier' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAJOR_VALUE` The 'Major' literal value.
    `static int` | `MICRO_VALUE` The 'Micro' literal value.
    `static int` | `MINOR_VALUE` The 'Minor' literal value.
    `static int` | `QUALIFIER_VALUE` The 'Qualifier' literal value.
    `static List<VersionSegment>` | `VALUES` A public read-only list of all the 'Version Segment' enumerators.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VersionSegment` | `get(int value)` Returns the 'Version Segment' literal with the specified integer value.
    `static VersionSegment` | `get(String literal)` Returns the 'Version Segment' literal with the specified literal value.
    `static VersionSegment` | `getByName(String name)` Returns the 'Version Segment' literal with the specified name.
    `String` | `getLiteral()`
    `String` | `getName()`
    `int` | `getValue()`
    `String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static VersionSegment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static VersionSegment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MAJOR

          public static final VersionSegment MAJOR

      The 'Major' literal object.
      See Also:
        `MAJOR_VALUE`
      Generated
      Ordered

    - #### MINOR

          public static final VersionSegment MINOR

      The 'Minor' literal object.
      See Also:
        `MINOR_VALUE`
      Generated
      Ordered

    - #### MICRO

          public static final VersionSegment MICRO

      The 'Micro' literal object.
      See Also:
        `MICRO_VALUE`
      Generated
      Ordered

    - #### QUALIFIER

          public static final VersionSegment QUALIFIER

      The 'Qualifier' literal object.
      See Also:
        `QUALIFIER_VALUE`
      Generated
      Ordered

  - ### Field Detail

    - #### MAJOR_VALUE

          public static final int MAJOR_VALUE

      The 'Major' literal value.

      If the meaning of 'Major' literal object isn't clear, there really should be more of a description here...

      See Also:
        `MAJOR`, Constant Field Values
      Generated
      Model
        name="Major"
      Ordered

    - #### MINOR_VALUE

          public static final int MINOR_VALUE

      The 'Minor' literal value.

      If the meaning of 'Minor' literal object isn't clear, there really should be more of a description here...

      See Also:
        `MINOR`, Constant Field Values
      Generated
      Model
        name="Minor"
      Ordered

    - #### MICRO_VALUE

          public static final int MICRO_VALUE

      The 'Micro' literal value.

      If the meaning of 'Micro' literal object isn't clear, there really should be more of a description here...

      See Also:
        `MICRO`, Constant Field Values
      Generated
      Model
        name="Micro"
      Ordered

    - #### QUALIFIER_VALUE

          public static final int QUALIFIER_VALUE

      The 'Qualifier' literal value.

      If the meaning of 'Qualifier' literal object isn't clear, there really should be more of a description here...

      See Also:
        `QUALIFIER`, Constant Field Values
      Generated
      Model
        name="Qualifier"
      Ordered

    - #### VALUES

          public static final List<VersionSegment> VALUES

      A public read-only list of all the 'Version Segment' enumerators.
      Generated

  - ### Method Detail

    - #### values

          public static VersionSegment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VersionSegment c : VersionSegment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VersionSegment valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### get

          public static VersionSegment get(String literal)

      Returns the 'Version Segment' literal with the specified literal value.
      Generated

    - #### getByName

          public static VersionSegment getByName(String name)

      Returns the 'Version Segment' literal with the specified name.
      Generated

    - #### get

          public static VersionSegment get(int value)

      Returns the 'Version Segment' literal with the specified integer value.
      Generated

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `Enumerator`
      Generated

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Enumerator`
      Generated

    - #### getLiteral

          public String getLiteral()

      Specified by:
        `getLiteral` in interface `Enumerator`
      Generated

    - #### toString

          public String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `Enum<VersionSegment>`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html